Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface SymbolPropertyTable

All Known Implementing Classes:
  AAindex, SimpleSymbolPropertyTable

    public interface SymbolPropertyTable

class for maintaining properties associated with a symbol

Author:
  Mike Jones, George Waldon

Field Summary
`static String` | `AVG_MASS`
`static String` | `HYDROPATHICITY`
`static String` | `MONO_MASS`
`static String` | `PK`
`static String` | `PK_Cterm`
`static String` | `PK_Nterm`

Method Summary
`Alphabet` | `getAlphabet()`
`double` | `getDoubleValue(Symbol s)`
`String` | `getName()`

Field Detail

### AVG_MASS

    static final String AVG_MASS

See Also:
  Constant Field Values

### MONO_MASS

    static final String MONO_MASS

See Also:
  Constant Field Values

### PK_Nterm

    static final String PK_Nterm

See Also:
  Constant Field Values

### PK

    static final String PK

See Also:
  Constant Field Values

### PK_Cterm

    static final String PK_Cterm

See Also:
  Constant Field Values

### HYDROPATHICITY

    static final String HYDROPATHICITY

See Also:
  Constant Field Values

Method Detail

### getName

    String getName()

### getAlphabet

    Alphabet getAlphabet()

### getDoubleValue

    double getDoubleValue(Symbol s)
                          throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD